> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora format

> OpenAI-compatible POST /v1/videos

## Introduction

Sora 2 supports the OpenAI **Videos API** in addition to the unified [Submit video task](/en/api-reference/endpoint/submit-video-task) endpoint:

* **Create**: `POST /v1/videos` (multipart recommended)
* **Poll**: `GET /v1/videos/{task_id}`
* **Download**: [Download video](/en/api-reference/endpoint/download-video)

<Note>
  Only **Sora 2** uses `/v1/videos` and the dedicated download endpoint. Other models use `/v1/video/generations`.
</Note>

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g. `Bearer sk-xxxxxxxxxx`
</ParamField>

## Request examples

<Tabs>
  <Tab title="Create (multipart)">
    ```bash theme={null}
    curl -X POST "https://api.gravitex.ai/v1/videos" \
      -H "Authorization: Bearer sk-xxxxxxxxxx" \
      -F "model=sora-2" \
      -F "prompt=A cute cat playing in a sunny garden" \
      -F "seconds=4" \
      -F "size=1280x720"
    ```
  </Tab>

  <Tab title="Get task">
    ```bash theme={null}
    curl -X GET "https://api.gravitex.ai/v1/videos/video_69095b4ce0048190893a01510c0c98b0" \
      -H "Authorization: Bearer sk-xxxxxxxxxx"
    ```
  </Tab>
</Tabs>

See [OpenAI Videos API](https://platform.openai.com/docs/api-reference/videos) and [Submit video task](/en/api-reference/endpoint/submit-video-task).
